For the complete documentation index, see llms.txt. This page is also available as Markdown.

Project

This endpoint is used to create, update, search or delete project information inside a Terrakube organization. Projects allow you to group workspaces and manage team access at the project level.

Entity fields:

Path
Type
Description

data.type

string

Should be "project"

data.attributes.name

string

Unique project name for a Terrakube organization

data.attributes.description

string

Project description (OPTIONAL)

Example:

{
    "data": {
        "type": "project",
        "attributes": {
            "name": "My Project",
            "description": "A sample project for grouping workspaces"
        }
    }
}

Supported Operations

get

Returns the relationship project

Path parameters
organizationIdstringRequired

organization Identifier

Query parameters
filter[project]stringOptional

Filters the collection of project using a 'disjoint' RSQL expression

page[number]integerOptional

Number of pages to return. Can be used with page[size]

page[size]integerOptional

Number of elements per page. Can be used with page[number]

page[offset]integerOptional

Offset from 0 to start paginating. Can be used with page[limit]

page[limit]integerOptional

Maximum number of items to return. Can be used with page[offset]

page[totals]stringOptional

For requesting total pages/records be included in the response page meta data

Responses
200

Successful response

application/vnd.api+json
get/organization/{organizationId}/project
200

Successful response

post

Creates an item of type project and adds it to project

Path parameters
organizationIdstringRequired

organization Identifier

Body
Responses
201

Successful response

application/vnd.api+json
post/organization/{organizationId}/project
201

Successful response

get

Returns an instance of type project

Path parameters
organizationIdstringRequired

organization Identifier

projectIdstringRequired

project Identifier

Query parameters
Responses
200

Successful response

application/vnd.api+json
get/organization/{organizationId}/project/{projectId}
200

Successful response

patch

Modifies an instance of type project

Path parameters
organizationIdstringRequired

organization Identifier

projectIdstringRequired

project Identifier

Body
Responses
204

Successful response

No content

patch/organization/{organizationId}/project/{projectId}
204

Successful response

No content

delete

Deletes an instance of type project

Path parameters
organizationIdstringRequired

organization Identifier

projectIdstringRequired

project Identifier

Responses
204

Successful response

No content

delete/organization/{organizationId}/project/{projectId}
204

Successful response

No content

Workspace Assignment

To assign a workspace to a project, use the workspace relationships endpoint. Set data to null to unassign.

Assign workspace to project:

Unassign workspace from project:

patch

Assigns or unassigns a workspace to a project

Path parameters
organizationIdstringRequired

organization Identifier

workspaceIdstringRequired

workspace Identifier

Body
Responses
204

Successful response

No content

patch/organization/{organizationId}/workspace/{workspaceId}/relationships/project
204

Successful response

No content

For a complete list of organization operation please visit the OpenAPI specification

Last updated

Was this helpful?